summaryrefslogtreecommitdiff
path: root/src/pmdas/rsyslog/Install
diff options
context:
space:
mode:
Diffstat (limited to 'src/pmdas/rsyslog/Install')
-rwxr-xr-xsrc/pmdas/rsyslog/Install44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/pmdas/rsyslog/Install b/src/pmdas/rsyslog/Install
new file mode 100755
index 0000000..33d2ac8
--- /dev/null
+++ b/src/pmdas/rsyslog/Install
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Copyright (c) 2012 Red Hat.
+# Copyright (c) 2011 Aconex. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# Install the rsyslog PMDA
+#
+
+. $PCP_DIR/etc/pcp.env
+. $PCP_SHARE_DIR/lib/pmdaproc.sh
+
+iam=rsyslog
+perl_opt=true
+daemon_opt=false
+forced_restart=false
+
+statsfile="$PCP_LOG_DIR/rsyslog/stats"
+statsdir=`dirname "$statsfile"`
+
+if ! test -d "$statsdir"; then
+ echo "Creating rsyslog statistics file directory: $statsdir"
+ mkdir "$statsdir"
+ [ $? -eq 0 ] || exit 1
+fi
+
+if ! test -p "$statsfile"; then
+ echo "Creating rsyslog statistics file: $statsfile"
+ mkfifo "$statsfile"
+ [ $? -eq 0 ] || exit 1
+fi
+
+pmdaSetup
+pmdaInstall
+exit 0